Package org.apache.solr.common.params

# Interface HighlightParams

public interface HighlightParams

Since:
  solr 1.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALTERNATE_FIELD`
`static final String`
`ALTERNATE_FIELD_LENGTH`
`static final String`
`BOUNDARY_SCANNER`
`static final String`
`BS_CHARS`
`static final String`
`BS_COUNTRY`
`static final String`
`BS_LANGUAGE`
`static final String`
`BS_MAX_SCAN`
`static final String`
`BS_SEP`
`static final String`
`BS_TYPE`
`static final String`
`BS_VARIANT`
`static final String`
`CACHE_FIELD_VAL_CHARS_THRESHOLD`
`static final String`
`DEFAULT_SUMMARY`
`static final String`
`ENCODER`
`static final String`
`FIELD_MATCH`
`static final String`
`FIELDS`
`static final String`
`FORMATTER`
`static final String`
`FRAG_LIST_BUILDER`
`static final String`
`FRAGALIGNRATIO`
`static final String`
`FRAGMENTER`
`static final String`
`FRAGMENTS_BUILDER`
`static final String`
`FRAGSIZE`
`static final String`
`FRAGSIZEISMINIMUM`
`static final String`
`HIGHLIGHT`
`static final String`
`HIGHLIGHT_ALTERNATE`
`static final String`
`HIGHLIGHT_MULTI_TERM`
`static final String`
`INCREMENT`
`static final String`
`MAX_CHARS`
`static final String`
`MAX_MULTIVALUED_TO_EXAMINE`
`static final String`
`MAX_MULTIVALUED_TO_MATCH`
`static final String`
`MAX_RE_CHARS`
`static final String`
`MERGE_CONTIGUOUS_FRAGMENTS`
`static final String`
`METHOD`
`static final String`
`MULTI_VALUED_SEPARATOR`
`static final String`
`OFFSET_SOURCE`
`static final String`
`PATTERN`
`static final String`
`PAYLOADS`
`static final String`
`PHRASE_LIMIT`
`static final String`
`PRESERVE_MULTI`
`static final String`
`Q`
`static final String`
`QPARSER`
`static final String`
`QUERY_FIELD_PATTERN`
`static final String`
`REGEX`
`static final String`
`SCORE`
`static final String`
`SCORE_B`
`static final String`
`SCORE_K1`
`static final String`
`SCORE_PIVOT`
`static final String`
`SIMPLE`
`static final String`
`SIMPLE_POST`
`static final String`
`SIMPLE_PRE`
`static final String`
`SLOP`
`static final String`
`SNIPPETS`
`static final String`
`TAG_ELLIPSIS`
`static final String`
`TAG_POST`
`static final String`
`TAG_PRE`
`static final String`
`USE_PHRASE_HIGHLIGHTER`
`static final String`
`WEIGHT_MATCHES`

## Field Details

### HIGHLIGHT

static final String HIGHLIGHT

See Also:
  - Constant Field Values

### METHOD

static final String METHOD

See Also:
  - Constant Field Values

### FIELDS

static final String FIELDS

See Also:
  - Constant Field Values

### SNIPPETS

static final String SNIPPETS

See Also:
  - Constant Field Values

### Q

static final String Q

See Also:
  - Constant Field Values

### QPARSER

static final String QPARSER

See Also:
  - Constant Field Values

### FIELD_MATCH

static final String FIELD_MATCH

See Also:
  - Constant Field Values

### QUERY_FIELD_PATTERN

static final String QUERY_FIELD_PATTERN

See Also:
  - Constant Field Values

### USE_PHRASE_HIGHLIGHTER

static final String USE_PHRASE_HIGHLIGHTER

See Also:
  - Constant Field Values

### HIGHLIGHT_MULTI_TERM

static final String HIGHLIGHT_MULTI_TERM

See Also:
  - Constant Field Values

### DEFAULT_SUMMARY

static final String DEFAULT_SUMMARY

See Also:
  - Constant Field Values

### ALTERNATE_FIELD

static final String ALTERNATE_FIELD

See Also:
  - Constant Field Values

### ALTERNATE_FIELD_LENGTH

static final String ALTERNATE_FIELD_LENGTH

See Also:
  - Constant Field Values

### HIGHLIGHT_ALTERNATE

static final String HIGHLIGHT_ALTERNATE

See Also:
  - Constant Field Values

### FRAGSIZE

static final String FRAGSIZE

See Also:
  - Constant Field Values

### FRAGSIZEISMINIMUM

static final String FRAGSIZEISMINIMUM

See Also:
  - Constant Field Values

### FRAGALIGNRATIO

static final String FRAGALIGNRATIO

See Also:
  - Constant Field Values

### FRAGMENTER

static final String FRAGMENTER

See Also:
  - Constant Field Values

### INCREMENT

static final String INCREMENT

See Also:
  - Constant Field Values

### REGEX

static final String REGEX

See Also:
  - Constant Field Values

### SLOP

static final String SLOP

See Also:
  - Constant Field Values

### PATTERN

static final String PATTERN

See Also:
  - Constant Field Values

### MAX_RE_CHARS

static final String MAX_RE_CHARS

See Also:
  - Constant Field Values

### BOUNDARY_SCANNER

static final String BOUNDARY_SCANNER

See Also:
  - Constant Field Values

### BS_MAX_SCAN

static final String BS_MAX_SCAN

See Also:
  - Constant Field Values

### BS_CHARS

static final String BS_CHARS

See Also:
  - Constant Field Values

### BS_TYPE

static final String BS_TYPE

See Also:
  - Constant Field Values

### BS_LANGUAGE

static final String BS_LANGUAGE

See Also:
  - Constant Field Values

### BS_COUNTRY

static final String BS_COUNTRY

See Also:
  - Constant Field Values

### BS_VARIANT

static final String BS_VARIANT

See Also:
  - Constant Field Values

### BS_SEP

static final String BS_SEP

See Also:
  - Constant Field Values

### FORMATTER

static final String FORMATTER

See Also:
  - Constant Field Values

### ENCODER

static final String ENCODER

See Also:
  - Constant Field Values

### MERGE_CONTIGUOUS_FRAGMENTS

static final String MERGE_CONTIGUOUS_FRAGMENTS

See Also:
  - Constant Field Values

### SIMPLE

static final String SIMPLE

See Also:
  - Constant Field Values

### SIMPLE_PRE

static final String SIMPLE_PRE

See Also:
  - Constant Field Values

### SIMPLE_POST

static final String SIMPLE_POST

See Also:
  - Constant Field Values

### FRAGMENTS_BUILDER

static final String FRAGMENTS_BUILDER

See Also:
  - Constant Field Values

### TAG_PRE

static final String TAG_PRE

See Also:
  - Constant Field Values

### TAG_POST

static final String TAG_POST

See Also:
  - Constant Field Values

### TAG_ELLIPSIS

static final String TAG_ELLIPSIS

See Also:
  - Constant Field Values

### MULTI_VALUED_SEPARATOR

static final String MULTI_VALUED_SEPARATOR

See Also:
  - Constant Field Values

### PRESERVE_MULTI

static final String PRESERVE_MULTI

See Also:
  - Constant Field Values

### FRAG_LIST_BUILDER

static final String FRAG_LIST_BUILDER

See Also:
  - Constant Field Values

### SCORE

static final String SCORE

See Also:
  - Constant Field Values

### SCORE_K1

static final String SCORE_K1

See Also:
  - Constant Field Values

### SCORE_B

static final String SCORE_B

See Also:
  - Constant Field Values

### SCORE_PIVOT

static final String SCORE_PIVOT

See Also:
  - Constant Field Values

### MAX_CHARS

static final String MAX_CHARS

See Also:
  - Constant Field Values

### PAYLOADS

static final String PAYLOADS

See Also:
  - Constant Field Values

### MAX_MULTIVALUED_TO_EXAMINE

static final String MAX_MULTIVALUED_TO_EXAMINE

See Also:
  - Constant Field Values

### MAX_MULTIVALUED_TO_MATCH

static final String MAX_MULTIVALUED_TO_MATCH

See Also:
  - Constant Field Values

### PHRASE_LIMIT

static final String PHRASE_LIMIT

See Also:
  - Constant Field Values

### OFFSET_SOURCE

static final String OFFSET_SOURCE

See Also:
  - Constant Field Values

### CACHE_FIELD_VAL_CHARS_THRESHOLD

static final String CACHE_FIELD_VAL_CHARS_THRESHOLD

See Also:
  - Constant Field Values

### WEIGHT_MATCHES

static final String WEIGHT_MATCHES

See Also:
  - Constant Field Values